import * as React from "react";
import { View, StyleSheet } from "react-native";
import { Button, Paragraph, Dialog, Portal, Text } from "react-native-paper";

const MatchResponse = (props) => {
  return (
    <View>
      <Portal>
        <Dialog
          style={{ backgroundColor: props.responseColor }}
          visible={props.visible}
          onDismiss={props.onCancel}
        >
          <Dialog.Title>{props.responseMatch}</Dialog.Title>
          <Dialog.Content>
            <Paragraph>
              {props.responseText} id: {props.id}
            </Paragraph>
          </Dialog.Content>
          <Dialog.Actions>
            <Button onPress={props.onCancel}>
              <Text style={styles.button}>Done</Text>
            </Button>
          </Dialog.Actions>
        </Dialog>
      </Portal>
    </View>
  );
};

export default MatchResponse;

const styles = StyleSheet.create({
  dialog: {
    backgroundColor: "#fbbf5b",
  },
  button: {
    color: "black",
  },
});
